package de.sample.onlineschuhdemo;

import static org.camunda.bpm.engine.test.assertions.ProcessEngineTests.*;
import java.util.List;
import java.util.Optional;
import org.camunda.bpm.engine.externaltask.LockedExternalTask;
import org.camunda.bpm.engine.test.assertions.bpmn.BpmnAwareTests;

public class TestUtils {

	public static LockedExternalTask getLockedTask(List<LockedExternalTask> lockedTasks, String activityId) {
		Optional<LockedExternalTask> findOpt = lockedTasks.stream() //
			.filter(locked -> locked.getActivityId().equals(activityId)) //
			.findFirst(); //

		return findOpt.isPresent() ? findOpt.get() : null;
	}

	public static List<LockedExternalTask> lockTasks(String topic) {
		return fetchAndLock(topic, BpmnAwareTests.DEFAULT_WORKER_EXTERNAL_TASK, 10);
	}

	public static List<LockedExternalTask> lockTasks(List<LockedExternalTask> alreadyLockedTasks, String topic) {
		List<LockedExternalTask> lockedTasks = lockTasks(topic);
		lockedTasks.addAll(alreadyLockedTasks);

		return lockedTasks;
	}
}
